Create a new Product Collection for a specific account

http
POST https://services.leadconnectorhq.com/products/collections

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id
altTypestringYesLOCATIONThe type of alt. For now it is only LOCATION Possible values: 'account'
collectionIdstringNo66057f9d28536eae584ec047Unique Identifier of the Product Collection, Mongo Id
namestringYesBest SellersName of the Product Collection
slugstringYesbest-sellersSlug of the Product Collection which helps in navigation
imagestringNohttp://example.com/watermark.pngThe URL of the image that is going to be displayed as the collection Thumbnail
seoobjectNoThe metadata information which will be displayed in SEO previews

Responses

201 - Successful response
  • data (object, required): created Collection

json
{}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/products/collections' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "LOCATION",
  "collectionId": "66057f9d28536eae584ec047",
  "name": "Best Sellers",
  "slug": "best-sellers",
  "image": "http://example.com/watermark.png"
}'

Last updated October 26, 2026

Was this page helpful?